Page MenuHomePhabricator

Special:CheckUserLog should make IPs a link to contribs
Closed, ResolvedPublic

Description

If you open Special:CheckUserLog, you'll find that while usernames are linked to their contribs, IPs are not. Let's fix it!

After my change, it'll look like this:

Event Timeline

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptDec 15 2019, 10:11 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 557500 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/CheckUser@master] CheckUserLog: Make IPs links

https://gerrit.wikimedia.org/r/557500

Urbanecm moved this task from Backlog to Waiting on review on the User-Urbanecm board.
MER-C added a subscriber: MER-C.

Punting to Anti-Harassment for review.

Restricted Application added a subscriber: MGChecker. · View Herald TranscriptDec 15 2019, 11:01 AM

@Urbanecm Can you add a screenshot of the change in the task description? Including how this will work for IP ranges, if at all.

Urbanecm added a comment.EditedDec 17 2019, 9:52 PM

Yes @Niharika. Looks like this:

Prior my change:

Urbanecm updated the task description. (Show Details)Dec 17 2019, 9:53 PM

Thanks @Urbanecm? Does the IP link lead to the IP's contribs? What about the range link?

@Niharika The links are as follows:

  • IP link - Special:Contributions page for that IP
  • IP range link - Special:Contributions page for that IP range
  • Username link - user page (contributions are linked to from the "contribs" link at the end of the row)

@Niharika The links are as follows:

  • IP link - Special:Contributions page for that IP
  • IP range link - Special:Contributions page for that IP range
  • Username link - user page (contributions are linked to from the "contribs" link at the end of the row)

Cool. That all sounds good to me.

Change 557500 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] CheckUserLog: Make IPs links

https://gerrit.wikimedia.org/r/557500

Urbanecm closed this task as Resolved.Dec 19 2019, 1:03 PM